#include <ScreenSaver.h>

const int	nrBlocks = 7;
const int   leftToRight = 1;
const int   rightToLeft = - 1;

class KITT : public BScreenSaver
{

	public:
					KITT(BMessage *message, image_id id);
					~KITT();
	
		void		StartConfig(BView *view);
		status_t	StartSaver(BView *v, bool preview);
		void		Draw(BView *v, int32 frame);
	
	private:
		BBitmap*	m_bitmap[nrBlocks+1];
		int		    m_brightestBlock;
		int         m_direction;
		int         m_blockState[nrBlocks+1];
		float		m_width;
		float		m_y;
		float		m_offset;
};
